Package: org.grails.plugins.web.rest.render.xml

## [Groovy] Class DefaultXmlRenderer<T>

- org.grails.plugins.web.rest.render.xml.DefaultXmlRenderer

- All Implemented Interfaces and Traits:
    Renderer<T>

      @groovy.transform.CompileStatic
      class DefaultXmlRenderer<T>
      extends java.lang.Object
      implements Renderer<T>

  Default renderer for XML responses

  Authors:
    Graeme Rocher
  Since:
    2.3

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private java.lang.String` | `encoding` |
    `private org.grails.web.gsp.io.GrailsConventionGroovyPageLocator` | `groovyPageLocator` |
    `private MimeType[]` | `mimeTypes` |
    `private java.lang.String` | `namedConfiguration` |
    `private RendererRegistry` | `rendererRegistry` |
    `private java.lang.Class<T>` | `targetType` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.lang.String` | `encoding`
    `org.grails.web.gsp.io.GrailsConventionGroovyPageLocator` | `groovyPageLocator`
    `MimeType[]` | `mimeTypes`
    `java.lang.String` | `namedConfiguration`
    `RendererRegistry` | `rendererRegistry`
    `java.lang.Class<T>` | `targetType`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `DefaultXmlRenderer (java.lang.Class<T> targetType)`
    `DefaultXmlRenderer (java.lang.Class<T> targetType, MimeType[] mimeTypes)`
    `DefaultXmlRenderer (java.lang.Class<T> targetType, org.grails.web.gsp.io.GrailsConventionGroovyPageLocator groovyPageLocator)`
    `DefaultXmlRenderer (java.lang.Class<T> targetType, org.grails.web.gsp.io.GrailsConventionGroovyPageLocator groovyPageLocator, RendererRegistry rendererRegistry)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `render(T object, RenderContext context)`
    `` | `protected void` | `renderXml(T object, RenderContext context)` Subclasses should override to customize XML response rendering
    `` | `protected void` | `renderXml(grails.converters.XML converter, RenderContext context)` Subclasses should override to customize XML response rendering

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private java.lang.String encoding

    - #### @org.springframework.beans.factory.annotation.Autowired(required: false) private org.grails.web.gsp.io.GrailsConventionGroovyPageLocator groovyPageLocator

    - #### private MimeType[] mimeTypes

    - #### private java.lang.String namedConfiguration

    - #### @org.springframework.beans.factory.annotation.Autowired(required: false) private RendererRegistry rendererRegistry

    - #### private final java.lang.Class<T> targetType

  - ### Property Detail

    - #### java.lang.String encoding

    - #### @org.springframework.beans.factory.annotation.Autowired(required: false) org.grails.web.gsp.io.GrailsConventionGroovyPageLocator groovyPageLocator

    - #### MimeType[] mimeTypes

    - #### java.lang.String namedConfiguration

    - #### @org.springframework.beans.factory.annotation.Autowired(required: false) RendererRegistry rendererRegistry

    - #### final java.lang.Class<T> targetType

  - ### Constructor Detail

    - #### DefaultXmlRenderer(java.lang.Class<T> targetType)

    - #### DefaultXmlRenderer(java.lang.Class<T> targetType, MimeType[] mimeTypes)

    - #### DefaultXmlRenderer(java.lang.Class<T> targetType, org.grails.web.gsp.io.GrailsConventionGroovyPageLocator groovyPageLocator)

    - #### DefaultXmlRenderer(java.lang.Class<T> targetType, org.grails.web.gsp.io.GrailsConventionGroovyPageLocator groovyPageLocator, RendererRegistry rendererRegistry)

  - ### Method Detail

    - #### @java.lang.Override void render(T object, RenderContext context)

    - #### protected void renderXml(T object, RenderContext context)

      Subclasses should override to customize XML response rendering

      Parameters:
        object
        context

    - #### protected void renderXml(grails.converters.XML converter, RenderContext context)

      Subclasses should override to customize XML response rendering

      Parameters:
        object
        context